Bug 1008730 - XklWrapperError: Failed to add layout: 'us (alt-intl)' is not a valid keyboard layout and variant specification
XklWrapperError: Failed to add layout: 'us (alt-intl)' is not a valid keyboar...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:666429468093bd92c3c7a4def43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 20:02 EDT by Itamar Reis Peixoto
Modified: 2013-10-25 02:29 EDT (History)
10 users (show)

See Also:
Fixed In Version: anaconda-20.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 02:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (93.21 KB, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: environ (440 bytes, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: lsblk_output (1.86 KB, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: nmcli_dev_list (3.65 KB, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: os_info (291 bytes, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: program.log (66.70 KB, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: storage.log (516.31 KB, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: syslog (146.90 KB, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: ifcfg.log (2.56 KB, text/plain)
2013-09-16 20:02 EDT, Itamar Reis Peixoto
no flags Details
File: packaging.log (1.40 MB, application/octet-stream)
2013-09-16 20:03 EDT, Itamar Reis Peixoto
no flags Details
File: anaconda-tb (2.26 MB, application/octet-stream)
2013-09-16 20:03 EDT, Itamar Reis Peixoto
no flags Details

  None (edit)
Description Itamar Reis Peixoto 2013-09-16 20:02:03 EDT
Version-Release number of selected component:
anaconda-20.15-1

The following was filed automatically by anaconda:
anaconda 20.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 571, in add_layout
    raise XklWrapperError("Failed to add layout: %s" % ilverr)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 363, in _addLayout
    self._xkl_wrapper.add_layout(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 407, in on_add_clicked
    self._addLayout(self._store, layout)
XklWrapperError: Failed to add layout: 'us (alt-intl)' is not a valid keyboard layout and variant specification

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora\x2020-Alpha\x20x86_64 acpi_osi=Linux
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20-Alpha
Comment 1 Itamar Reis Peixoto 2013-09-16 20:02:10 EDT
Created attachment 798466 [details]
File: anaconda.log
Comment 2 Itamar Reis Peixoto 2013-09-16 20:02:14 EDT
Created attachment 798467 [details]
File: environ
Comment 3 Itamar Reis Peixoto 2013-09-16 20:02:19 EDT
Created attachment 798468 [details]
File: lsblk_output
Comment 4 Itamar Reis Peixoto 2013-09-16 20:02:23 EDT
Created attachment 798469 [details]
File: nmcli_dev_list
Comment 5 Itamar Reis Peixoto 2013-09-16 20:02:28 EDT
Created attachment 798470 [details]
File: os_info
Comment 6 Itamar Reis Peixoto 2013-09-16 20:02:32 EDT
Created attachment 798471 [details]
File: program.log
Comment 7 Itamar Reis Peixoto 2013-09-16 20:02:42 EDT
Created attachment 798472 [details]
File: storage.log
Comment 8 Itamar Reis Peixoto 2013-09-16 20:02:48 EDT
Created attachment 798473 [details]
File: syslog
Comment 9 Itamar Reis Peixoto 2013-09-16 20:02:53 EDT
Created attachment 798474 [details]
File: ifcfg.log
Comment 10 Itamar Reis Peixoto 2013-09-16 20:03:13 EDT
Created attachment 798475 [details]
File: packaging.log
Comment 11 Itamar Reis Peixoto 2013-09-16 20:03:44 EDT
Created attachment 798476 [details]
File: anaconda-tb
Comment 12 Michal Kovarik 2013-09-20 07:46:33 EDT
I have just add Czech dvorak keyboard

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
package:        anaconda-20.18-1
product:        Fedora
reason:         XklWrapperError: Failed to add layout: 'cz (dvorak-ucw)' is not a valid keyboard layout and variant specification
release:        Cannot get release name.
version:        20-Alpha
Comment 13 Lars Wijtemans 2013-09-30 03:29:33 EDT
Tried to add US (alternative international) keyboard layout via GUI during installation.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2020-Alpha\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
package:        anaconda-20.18-1
product:        Fedora
reason:         XklWrapperError: Failed to add layout: 'us (alt-intl)' is not a valid keyboard layout and variant specification
release:        Cannot get release name.
version:        20-Alpha
Comment 14 Petr Schindler 2013-10-01 09:36:30 EDT
But is fixed in anaconda-20.21. Moving to VERIFIED.
Comment 15 Adam Williamson 2013-10-25 02:29:40 EDT
We're well past 20.21 in stable now, closing.

Note You need to log in before you can comment on or make changes to this bug.